> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/fiat.md).

# Fiat

#### `GET /withdrawals/fiat_accounts` <a href="#get-withdrawals-fiat_accounts" id="get-withdrawals-fiat_accounts"></a>

```
const getFiatWithdrawalAccounts = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/withdrawals/fiat_accounts' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    'https://api.ndax.in/withdrawals/fiat_accounts',
    options
  )
}
```

> Sample Response

```
{
  "message": [
    {
      "withdrawal_account_id": 286,
      "name": "Primary (1234)",
      "status": "PENDING_CREATION",
      "asset": "e₹",
      "limit": 750000,
      "type": "DOMESTIC_FIAT",
      "beneficiary_name": "John Doe",
      "account_number": "1231234",
      "bank_name": "BMO Harris",
      "routing_number": "07102343",
      "swift_code": null,
      "recipient_instructions": null,
      "intermediary_bank_name": null,
      "intermediary_bank_code_type": null,
      "intermediary_bank_code": null,
      "intermediary_bank_account_number": null,
      "correspondent_bank_name": null,
      "correspondent_bank_code_type": null,
      "correspondent_bank_code": null,
      "correspondent_bank_account_number": null,
      "last_update": 1571175076187,
      "participant_code": "ABCDEF"
    },
    { ... }
  ],
  "page": 1,
  "total_pages": 1
}
```

Retrieves a list of all whitelisted fiat withdrawal accounts.

<table><thead><tr><th width="228.33333333333331">Parameter</th><th width="419">Description</th><th>Type</th></tr></thead><tbody><tr><td>withdrawal_account_id</td><td>The ID of the withdrawal account</td><td>number</td></tr><tr><td>name</td><td>The nickname given to the withdrawal account</td><td>string</td></tr><tr><td>status</td><td>The approval status of the withdrawal account</td><td>string</td></tr><tr><td>asset</td><td>The asset code for the specific withdrawal account, e.g. e₹</td><td>string</td></tr><tr><td>limit</td><td>The limit applied to the account on a per-withdrawal basis</td><td>number</td></tr><tr><td>type</td><td>The type of account: <code>REAL_TIME_FIAT</code> for 24/7 CBDC(e₹) withdrawals, <code>DOMESTIC_FIAT</code> for <code>NEFT</code>, <code>RTGS</code> or <code>INTERNATIONAL_FIAT</code> for international wires</td><td>string</td></tr><tr><td>beneficiary_name</td><td>The owner of the account at the withdrawal destination</td><td>string</td></tr><tr><td>account_number</td><td>The unique IBAN or account number for the final withdrawal destination</td><td>string</td></tr><tr><td>bank_name</td><td>The name of the destination financial institution</td><td>string</td></tr><tr><td>routing_number</td><td>For US wires, the ABA routing number identifies the destination financial institution</td><td>string</td></tr><tr><td>swift_code</td><td>SWIFT code, NEFT, RTGS as applicable</td><td>string</td></tr><tr><td>recipient_instructions</td><td>Any additional instructions on the account</td><td>string</td></tr><tr><td>intermediary_<br>bank_name</td><td>Intermediary bank name, if applicable</td><td>string</td></tr><tr><td>intermediary_<br>bank_code_type</td><td>Intermediary bank identifier code type, if applicable<br>Options include <code>SWIFT</code></td><td>string</td></tr><tr><td>intermediary_<br>bank_code</td><td>Intermediary bank identifier that corresponds to <code>intermediary_bank_code_type</code>, if applicable</td><td>string</td></tr><tr><td>intermediary_<br>bank_account_number</td><td>Intermediary bank IBAN or account number, if applicable</td><td>string</td></tr><tr><td>correspondent_<br>bank_name</td><td>Correspondent bank name, if applicable</td><td>string</td></tr><tr><td>correspondent_<br>bank_code_type</td><td>Correspondent bank identifier code type, if applicable. Options include <code>SWIFT</code>, <code>NEFT</code>, <code>RTGS</code></td><td>string</td></tr><tr><td>correspondent_<br>bank_code</td><td>Correspondent bank identifier that corresponds to <code>correspondent_bank_code_type</code>, if applicable</td><td>string</td></tr><tr><td>correspondent_<br>bank_account_number</td><td>Correspondent bank IBAN or account number, if applicable</td><td>string</td></tr><tr><td>last_update</td><td>Timestamp for when the withdrawal address last update</td><td>timestamp</td></tr><tr><td>submitted_address</td><td>This is the original value for an address submitted by you, that was converted into a newer format supported by NDAX - this will be null if no conversion is necessary</td><td>string</td></tr><tr><td>participant_code</td><td>The participant the request belongs to, e.g. <code>ABCDEF</code></td><td>string</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/deposits/get-withdrawal/fiat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
